[API]
CreateDialogIndirectParamA
CreateDialogIndirectParamW

[CODE]
Public Function CreateDialogIndirectParamEx(ByVal DialogData As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long, Optional ByVal hModule As Long) As Long
  If Not Len(DialogData) = 0& Then
    If hModule = 0& Then
      #If InIDE And Not CustomClassesInDialogs And LoadResEx_SetThemeFile Then
        hModule = LoadResEx_ThemeFile_hModule
        If hModule = 0& Then hModule = App.hInstance
        #ElseIf InIDE And Not CustomClassesInDialogs And LoadResEx_SetLanguageFile Then
        hModule = LoadResEx_LanguageFile_hModule
        If hModule = 0& Then hModule = App.hInstance
        #Else
        hModule = App.hInstance
        #End If
      End If
    If IsUnicode Then
      CreateDialogIndirectParamEx = CreateDialogIndirectParamW(hModule, DialogData, hWndParent, lpDialogFunc, dwInitParam)
      Else
      CreateDialogIndirectParamEx = CreateDialogIndirectParamA(hModule, DialogData, hWndParent, lpDialogFunc, dwInitParam)
      End If
    End If
  End Function
